summaryrefslogtreecommitdiff
path: root/gnulib-tests/test-copy-acl.sh
diff options
context:
space:
mode:
Diffstat (limited to 'gnulib-tests/test-copy-acl.sh')
-rwxr-xr-xgnulib-tests/test-copy-acl.sh13
1 files changed, 9 insertions, 4 deletions
diff --git a/gnulib-tests/test-copy-acl.sh b/gnulib-tests/test-copy-acl.sh
index 147bf56..9f69d14 100755
--- a/gnulib-tests/test-copy-acl.sh
+++ b/gnulib-tests/test-copy-acl.sh
@@ -41,7 +41,12 @@ func_tmpdir ()
}
func_tmpdir
-builddir=`pwd`
+# builddir may already be set by the script that invokes this one.
+case "$builddir" in
+ '') builddir=`pwd` ;;
+ /* | ?:*) ;;
+ *) builddir=`pwd`/$builddir ;;
+esac
cd "$builddir" ||
{
echo "$0: cannot determine build directory (unreadable parent dir?)" >&2
@@ -204,9 +209,9 @@ cd "$builddir" ||
{
echo "Simple contents" > "$2"
chmod 600 "$2"
- "$builddir"/test-copy-acl${EXEEXT} "$1" "$2" || exit 1
- "$builddir"/test-sameacls${EXEEXT} "$1" "$2" || exit 1
- func_test_same_acls "$1" "$2" || exit 1
+ ${CHECKER} "$builddir"/test-copy-acl${EXEEXT} "$1" "$2" || exit 1
+ ${CHECKER} "$builddir"/test-sameacls${EXEEXT} "$1" "$2" || exit 1
+ func_test_same_acls "$1" "$2" || exit 1
}
func_test_copy tmpfile0 tmpfile1